<?php

namespace App\Models;

use Corcel\Model\Post as Corcel;

class Post extends Corcel
{
    protected $connection = 'wordpress';

    /**
     * Get Price 
     * 
     */
    public function getPriceAttribute() : int {
        return $this->meta->wpshed_textarea1 ? $this->meta->wpshed_textarea1 : 0;
    }

    /**
     * Get Store Id 
     * 
     */
    public function getStoreIdAttribute() :int {
        return $this->meta->wpshed_store_id ?? 0;
    }
}